Package wx :: Package py :: Module buffer :: Class Buffer

[frames | no frames]

## Class Buffer

Buffer class.

Method Summary
| ``__init__`(self, filename)` Create a Buffer instance.
| ``addEditor`(self, editor)` Add an editor.
| ``hasChanged`(self)` Return True if text in editor has changed since last save.
| ``new`(self, filepath)` New empty buffer.
| ``open`(self, filename)` Open file into buffer.
| ``overwriteConfirm`(filepath)` Confirm overwriting an existing file.
| ``save`(self)` Save buffer.
| ``saveAs`(self, filename)` Save buffer.
| ``updateNamespace`(self)` Update the namespace for autocompletion and calltips.

Class Variable Summary
`int` | `id` = 0

Method Details

### __init__(self, filename=None)
(Constructor)

Create a Buffer instance.

### addEditor(self, editor)

Add an editor.

### hasChanged(self)

Return True if text in editor has changed since last save.

### new(self, filepath)

New empty buffer.

### open(self, filename)

Open file into buffer.

### overwriteConfirm(filepath)

Confirm overwriting an existing file.

### save(self)

Save buffer.

### saveAs(self, filename)

Save buffer.

### updateNamespace(self)

Update the namespace for autocompletion and calltips.

Return True if updated, False if there was an error.

Class Variable Details

### id

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:34 2007 | http://epydoc.sf.net